[PC-BSD Commits] r1021 - pbibuild/modules/thunderbird/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Thu Dec 13 16:10:56 PST 2007


Author: gonzalo
Date: 2007-12-13 16:10:56 -0800 (Thu, 13 Dec 2007)
New Revision: 1021

Modified:
   pbibuild/modules/thunderbird/overlay-dir/PBI.RemoveScript.sh
Log:
RemoveScript fixed.

Modified: pbibuild/modules/thunderbird/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/thunderbird/overlay-dir/PBI.RemoveScript.sh	2007-12-13 23:57:40 UTC (rev 1020)
+++ pbibuild/modules/thunderbird/overlay-dir/PBI.RemoveScript.sh	2007-12-14 00:10:56 UTC (rev 1021)
@@ -8,3 +8,20 @@
 #########################################
 
 rm /usr/local/bin/thunderbird
+
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Thunderbird user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+  cd /home
+  for i in `ls`
+  do
+   if [ -e "/home/${i}/.thunderbird" ]
+   then
+    rm -rf /home/${i}/.thunderbird
+   fi
+  done
+ fi
+fi
\ No newline at end of file



More information about the Commits mailing list